import { CanDeactivateFn } from '@angular/router';
import { HotelFormComponent } from './hotel-form/hotel-form.component';
import { HotelDetailsComponent } from './hotel-details/hotel-details.component';

export const formGuard: CanDeactivateFn<HotelFormComponent | HotelDetailsComponent> = (component: HotelFormComponent | HotelDetailsComponent, currentRoute, currentState, nextState) => {
  console.log(component)
  if (component instanceof HotelFormComponent && component.form?.dirty) {
    return confirm('You have unsaved changes. Do you really want to leave?');
  }
  else if (component instanceof HotelDetailsComponent && component.hotelForm?.form?.dirty) {
    return confirm('You have unsaved changes. Do you really want to leave?');
  }

  return true;
};
